// ====================================================================
// entry.hh - Class for constructing tables.
// Used for making tables that are searchable with 'find'
// ==================================================================== 

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.1 $ $Date: 2005/02/09 00:38:49 $ $Author: boeheim $
// ******************************************************************** //

class Entry
{
   string name;
   int    val1;
   int    val2;
public:
   Entry(char *n, int v1=0, int v2=0) : name(n), val1(v1), val2(v2) {};
   bool operator!= (char  *n) { return (name != n); }
   bool operator!= (string n) { return (name != n); }
   bool operator!= (int  v) { return (val1 != v); }
   bool operator== (char  *n) { return (name == n); }
   bool operator== (string n) { return (name == n); }
   bool operator== (int  v) { return (val1 == v); }
   int Val1(void) { return(val1); }
   int Val2(void) { return(val2); }
   string Name(void) { return(name); }
};

