// ====================================================================
// filter.hh - An object that can receive output from a console
//             and can control the console.  This is a general
//             interface for plugging in automation.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.1 $ $Date: 2005/02/09 00:38:49 $ $Author: boeheim $
// ******************************************************************** //

#ifndef filter_hh
#define filter_hh

#include <string>
#include "buffer.h"
#include "console.h"

class Console;

class Filter
{

private:

protected:
   Console *console;

public:

   Filter(Console *);           // Constructor.
   virtual ~Filter(void);       // Destructor.
   virtual void Input(Buffer &); // Get input from console
   virtual void IdleCheck(time_t now); // called by dispatcher on idle
   virtual void Open(void);     // Called when opening and closing
   virtual void Close(void);    //  the console.
};

#endif
