// ====================================================================
// Global.hh -- Some very generic options that are common to all programs
//              in this suite.
// ====================================================================

// ******************************************************************** //
//                  SLAC Console Management Tools                       //
//         Chuck Boeheim, Stanford Linear Accelerator Center            //
//                                                                      //
// $Revision: 1.2 $ $Date: 2005/03/15 07:26:41 $ $Author: boeheim $
// ******************************************************************** //

#ifndef global_h
#define global_h

#include <string>

class Global
{
private:
   int verbose;
   bool debug;
   string progname;
   bool daemonize;
   bool syntaxonly;
   
public:
   Global(void) : verbose(false), debug(false), daemonize(true), syntaxonly(false) {};

   bool   Verbose (int l = 1) { return verbose >= l; };
   bool   Debug   (void)      { return debug; };
   string Progname(void)      { return progname; };
   bool   Daemonize(void)     { return daemonize; };
   bool   SyntaxOnly(void)    { return syntaxonly; };

   int    Verbosity(int    v) { return verbose += v; };
   bool   Debug    (bool   v) { return debug = v; };
   string Progname (string s) { return progname = s; };
   bool   Daemonize(bool   v) { return daemonize = v; };
   bool   SyntaxOnly(bool  v) { return syntaxonly = v; };
};

extern Global GLOBAL;

#endif
